%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

%define name taglib
%define major 0
%define libname_orig	%mklibname taglib
%define libname	%{libname_orig}%{major}

Summary: 	TagLib, is well, a library for reading and editing audio meta data.
Name:	 	%name
Version:	1.0
Release:	1mdk
License: 	GPL
Group: 		File tools
Source:		%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://ktown.kde.org/~wheeler/taglib/
Requires: 	%{libname} = %{version}-%release
Conflicts:	taglib <= 0.96-1mdk

%description
TagLib, is well, a library for reading and editing audio meta data, 
commonly know as tags.
Some goals of TagLib:
	A clean, high level, C++ API to handling audio meta data.
	Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
	A generic, simple API for the most common tagging related functions.
	Binary compatibility between minor releases using the standard KDE/Qt 
	techniques for C++ binary compatibility.
	Make the tagging framework extensible by library users; i.e. it will be 
	possible for libarary users to implement additional ID3v2 frames, 
	without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely 
adopted and the most flexible in licensing TagLib provides many of its 
own toolkit classes; in fact the only external dependancy that TagLib has, 
it a semi-sane STL implementation.

%package	-n %{libname}
Group:		System/Libraries
Summary:	TagLib, is well, a library for reading and editing audio meta data.
Provides:	%{libname_orig} = %{version}-%{release}
Conflicts:  taglib <= 0.96-1mdk

%description	-n %{libname}
Librairy for taglib

%package	-n %{libname}-devel
Group:		Development/C
Summary:	Headers and static lib for taglib development
Requires:	%{libname} = %version-%release
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:  taglib <= 0.96-1mdk

%description	-n %{libname}-devel
Install this package if you want do compile applications using the libtag
library.

%prep
%setup -q

%build
./configure --prefix=%_prefix
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std



%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
 
%files

#
%files -n %{libname}
%defattr(-,root,root)

%_libdir/libtag.la
%_libdir/libtag.so.*
%_libdir/libtag_c.la
%_libdir/libtag_c.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%_bindir/taglib-config

%_libdir/libtag.so
%_libdir/libtag_c.so

%dir %_includedir/taglib/
%_includedir/taglib/*.h
%_includedir/taglib/*.tcc


%changelog
* Thu Jan 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
- Move taglib-config to libname-devel (Thanks Nicolas Chipaux to report me this bug)

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-1mdk
- 0.96

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-2mdk
- Fix description

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-1mdk
- Initial package


